package com.muyu.fence.domain.utils;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;
import java.util.Date;

/**
 * @Author：yuping
 * @Package：com.muyu.fence.domain
 * @Project：cloud-server
 * @name：ElectronicFenceResult
 * @Date：2024/9/17 17:43
 */

/**
 * 电子围栏分析结果数据结构
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ElectronicFenceResult {
    /**
     * 主键
     */
    private Long id;
    /**
     * 车辆唯一标识
     */
    private String vin;
    /**
     *
     */
    private String  inTime;
    private String outTime;
    /**
     * gps定位时间
     */
    private Date gpsTime;

    private Double lat;
    private Double lng;
    private Integer  eleId;
    private String eleName;
    private String address;
    private Double latitude;
    private Double longitude;
    private Double radius;
    private String terminalTime;
    private Date processTime;
}
