package com.template.controller;

import com.muyu.common.core.domain.Result;
import com.template.domain.DataType;
import com.template.service.DataTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * @Author：liuxinyue
 * @Package：com.sheep.controller
 * @Project：cloud-server-c
 * @name：DataTypeController
 * @Date：2024/9/20 9:15
 */
@RestController
@RequestMapping("/dataType")
public class DataTypeController {


    @Autowired
    private DataTypeService dataTypeService;


    /**
     * 数据类型列表
     * @return
     */
    @PostMapping("/dataTypeList")
    public Result<List<DataType>> dataTypeList() {
        return Result.success(dataTypeService.dataTypeList());
    }

}
